# $Id: smeserver-mod_deflate.spec,v 1.5 2024/02/29 01:33:29 jpp Exp $
# Authority: nocvs
# Name: Michel Van hees

Summary: SME server mod_deflate activation
%define name smeserver-mod_deflate
Name: %{name}
%define version 1.2
%define release 6
Version: %{version}
Release: %{release}%{?dist}
License: Freely distributable
Group: Apache
Source: %{name}-%{version}.tar.xz
#%{name}-%{version}.patch.yyyymmddnn
BuildRoot: /var/tmp/e-smith-buildroot
BuildRequires:  e-smith-devtools
BuildArchitectures: noarch
Requires: smeserver-release >= 8
AutoReqProv: no

%changelog
* Sat Sep 07 2024 cvs2git.sh aka Brian Read <brianr@koozali.org> 1.2-6.sme
- Roll up patches and move to git repo [SME: 12338]

* Sat Sep 07 2024 BogusDateBot
- Eliminated rpmbuild "bogus date" warnings due to inconsistent weekday,
  by assuming the date is correct and changing the weekday.

* Wed Feb 28 2024 Jean-Philippe Pialasse <tests@pialasse.com> 1.2-5.sme
- revert logrotate, as taken care by httpd logrotate now [SME: 8901]

* Fri Apr 02 2021 Jean-Philippe Pialasse <tests@pialasse.com> 1.2-4.sme
- update event [SME: 11274]
- logrotate [SME: 8901]

* Sat Dec 19 2020 Brian Read <brianr@bjsystems.co.uk> 1.2-2.sme
- Initial import to SME10 tree [SME: 11274]

* Wed Sep 23 2015 stephane de Labrusse <stephdl@de-labrusse.fr> 1.2-1.sme
- Initial release to contribs9

* Sun May 26 2013 JP Pialasse <tests@pialasse.com> 1.0-3.sme
- migrating default db to right place, cleaning spec [SME: 7624]
- Patch0

* Mon Jul 16 2007 Michel Van hees <michel@vanhees.cc>
- Thanks to Sylvain Gomez that correct the uninstall script

* Wed Jun 14 2006 Michel Van hees <michel@vanhees.cc>
- start developpement

%description
Activate mod_deflate on smeserver

%prep
%setup

%build
perl createlinks

%install
rm -rf $RPM_BUILD_ROOT
(cd root   ; find . -depth -print | cpio -dump $RPM_BUILD_ROOT)
rm -f %{name}-%{version}-filelist
/sbin/e-smith/genfilelist $RPM_BUILD_ROOT > %{name}-%{version}-filelist
echo "%doc COPYING"          >> %{name}-%{version}-filelist

%clean 
rm -rf $RPM_BUILD_ROOT

%pre
%preun
%post
%postun
%files -f %{name}-%{version}-filelist
%defattr(-,root,root)
